<template>
  <v-btn
    v-if="!copied"
    color="primary"
    variant="text"
    @click="copy(props.text)"
  >
    Copy
    <v-icon end>mdi-content-copy</v-icon>
  </v-btn>
  <v-btn v-else color="success" variant="text" @click="copy(props.text)">
    Copied!
    <v-icon end>mdi-check</v-icon>
  </v-btn>
</template>

<script setup lang="ts">
const props = defineProps<{
  text: string;
}>();

const { copy, copied } = useClipboard({ source: props.text, legacy: true });
</script>
